Bullet Collision Detection & Physics Library: btThreadSupportInterface Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
btThreadSupportInterface Class Referenceabstract

`#include <btThreadSupportInterface.h>`

## Classes
struct | ConstructionInfo

## Public Types
typedef void(*) | ThreadFunc(void *userPtr)

## Public Member Functions
virtual | ~btThreadSupportInterface ()
virtual int | getNumWorkerThreads () const =0
virtual int | getCacheFriendlyNumThreads () const =0
virtual int | getLogicalToPhysicalCoreRatio () const =0
virtual void | runTask (int threadIndex, void *userData)=0
virtual void | waitForAllTasks ()=0
virtual btCriticalSection * | createCriticalSection ()=0
virtual void | deleteCriticalSection (btCriticalSection *criticalSection)=0

## Static Public Member Functions
static btThreadSupportInterface * | create (const ConstructionInfo &info)

## Detailed Description

Definition at line 29 of file btThreadSupportInterface.h.

## Member Typedef Documentation

## ◆ ThreadFunc

void(*) btThreadSupportInterface::ThreadFunc(void *userPtr)

Definition at line 43 of file btThreadSupportInterface.h.

## Constructor & Destructor Documentation

## ◆ ~btThreadSupportInterface()

virtual btThreadSupportInterface::~btThreadSupportInterface | ( |  | ) |
| inlinevirtual

Definition at line 32 of file btThreadSupportInterface.h.

## Member Function Documentation

## ◆ create()

static btThreadSupportInterface * btThreadSupportInterface::create | ( | const ConstructionInfo & | info | ) |
| static

## ◆ createCriticalSection()

virtual btCriticalSection * btThreadSupportInterface::createCriticalSection | ( |  | ) |
| pure virtual

## ◆ deleteCriticalSection()

virtual void btThreadSupportInterface::deleteCriticalSection | ( | btCriticalSection * | criticalSection | ) |
| pure virtual

## ◆ getCacheFriendlyNumThreads()

virtual int btThreadSupportInterface::getCacheFriendlyNumThreads | ( |  | ) | const
| pure virtual

## ◆ getLogicalToPhysicalCoreRatio()

virtual int btThreadSupportInterface::getLogicalToPhysicalCoreRatio | ( |  | ) | const
| pure virtual

## ◆ getNumWorkerThreads()

virtual int btThreadSupportInterface::getNumWorkerThreads | ( |  | ) | const
| pure virtual

## ◆ runTask()

virtual void btThreadSupportInterface::runTask | ( | int | threadIndex,
|  | void * | userData )
| pure virtual

## ◆ waitForAllTasks()

virtual void btThreadSupportInterface::waitForAllTasks | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- btThreadSupportInterface.h